Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1271785 - Review Request: nodejs-bcryptjs - bcrypt encryption for NodeJS
Summary: Review Request: nodejs-bcryptjs - bcrypt encryption for NodeJS
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1354009 1354014 1354016 1354018
Blocks: nodejs-reviews Node-RED
TreeView+ depends on / blocked
 
Reported: 2015-10-14 17:49 UTC by Jared Smith
Modified: 2017-09-27 12:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-27 12:49:16 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jared Smith 2015-10-14 17:49:49 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-bcrypt/nodejs-bcryptjs.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-bcrypt/nodejs-bcryptjs-2.3.0-1.fc23.src.rpm
Description: Optimized bcrypt in plain JavaScript with zero dependencies
Fedora Account System Username: jsmith

Comment 1 Piotr Popieluch 2015-10-27 12:32:37 UTC
I've only taken a quick look but it seems that the packaged files are generated/compiled. I think this should be built from source with closurecompiler.

Comment 2 Piotr Popieluch 2015-11-30 08:07:24 UTC
ok, closurecompiler is only needed for generating the minified js intended for browser use. You can skip that if you only intend to run it in nodejs. But you will have to use (and package) metascript to build the package.\

package.json:
"build": "node scripts/build.js",

https://github.com/dcodeIO/bcrypt.js/blob/master/scripts/build.js


The %install section is missing some needed directories.

Comment 3 Jared Smith 2016-07-08 18:10:50 UTC
Finnally making progress on this -- it's got a bunch of newer dependencies, but should be in much better shape now.

Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-bcryptjs/nodejs-bcryptjs.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-bcryptjs/nodejs-bcryptjs-2.3.0-1.fc24.src.rpm

Comment 4 Piotr Popieluch 2016-09-29 21:21:49 UTC
Seems that the source has multiple licenses, they all need to be specified.

dist dir needs to be installed. Binary as well. Not sure about externs dir.


%build
%nodejs_symlink_deps --check
                     ^^ shouldn't this be --build


%{?nodejs_find_provides_and_requires}
%{!?_licensedir:%global license %doc}
These macros are not needed anymore

tests seem to be included in npm package now. Is the separate download still needed?

Comment 7 Robert-André Mauchin 2017-09-23 13:51:53 UTC
Everything seems good, package accepted.

Comment 8 Jared Smith 2017-09-25 00:41:15 UTC
'Requested package in ticket https://pagure.io/releng/fedora-scm-requests/issue/1596'

Comment 9 Gwyn Ciesla 2017-09-25 13:01:21 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nodejs-bcryptjs

Comment 10 Jared Smith 2017-09-27 12:49:16 UTC
In rawhide, closing bug


Note You need to log in before you can comment on or make changes to this bug.